<mat-toolbar color="primary">
    <span class="example-spacer"></span>
    <h1>Toro Challenge</h1>
    <mat-icon (click)="sidenav.toggle()" class="hamburger">menu</mat-icon>
</mat-toolbar>

<mat-sidenav-container>
    <mat-sidenav #sidenav [opened]="false" [fixedInViewport]="true">
        <mat-nav-list>
            <a mat-list-item routerLinkActive="active" routerLink="/transaction">
                <mat-icon>add</mat-icon> New Transaction
            </a>
            <a mat-list-item routerLinkActive="active" routerLink="/stock">
                <mat-icon>format_list_bulleted</mat-icon> Stocks
            </a>
        </mat-nav-list>
    </mat-sidenav>
    <mat-sidenav-content>
        <router-outlet></router-outlet>
    </mat-sidenav-content>
</mat-sidenav-container>